#ifndef BUILDER_BUILDER_
#define BUILDER_BUILDER_

#include <memory>

namespace builder {

class Builder {
 public:
  class Impl;

  Builder();
  void DumpModule();
  std::shared_ptr<Impl> GetImpl() { return impl_; }

 private:
  std::shared_ptr<Impl> impl_;
};
}  // namespace builder

#endif