#ifndef BUILDER_BUILDERIMPL_
#define BUILDER_BUILDERIMPL_

#include "Builder.h"
#include "llvm/Support/Casting.h"
#include "mlir/IR/Attributes.h"
#include "mlir/IR/Builders.h"
#include "mlir/IR/MLIRContext.h"
#include "mlir/IR/Operation.h"
#include "mlir/IR/Types.h"
#include "mlir/IR/Value.h"

namespace builder {

class Builder::Impl {
 public:
  Impl() {}
  // mlir::Location GetLoc() { return mlir_loc_; }
  // mlir::OpBuilder GetBuilder() { return mlir_builder_; }
  mlir::MLIRContext *GetContext() { return &mlir_context_; }

 private:
  // mlir::Location mlir_loc_;
  // mlir::OpBuilder mlir_builder_;
  mlir::MLIRContext mlir_context_;
};

}  // namespace builder

#endif