#ifndef BUILDER_SHAPE_
#define BUILDER_SHAPE_

#include <iostream>
#include <memory>

namespace builder {
class Shape {
  class Impl;
  std::shared_ptr<Impl> GetImpl() { return impl_; }

 private:
  std::shared_ptr<Impl> impl_;
};
}  // namespace builder

#endif