#ifndef BUILDER_OP_
#define BUILDER_OP_

#include <iostream>
#include <memory>

namespace builder {
class Op {
  class Impl;
  std::shared_ptr<Impl> GetImpl() { return impl_; }

 private:
  std::shared_ptr<Impl> impl_;
}
}  // namespace builder

#endif