#ifndef BUILDER_OPIMPL_
#define BUILDER_OPIMPL_

#include "Builder.h"
#include "llvm/Support/Casting.h"
#include "mlir/IR/Attributes.h"
#include "mlir/IR/Builders.h"
#include "mlir/IR/MLIRContext.h"
#include "mlir/IR/Operation.h"
#include "mlir/IR/Types.h"
#include "mlir/IR/Value.h"

namespace builder {

class Op::Impl {
 public:
  Impl() = default;
  void SetOperation(Operation *Op) { op_ = Op; }

 private:
  Operation *op_;
};

}  // namespace builder

#endif